Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il
Interface ServerILJMXServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  HTTPServerILServiceMBean, JVMServerILServiceMBean, OIL2ServerILServiceMBean, OILServerILServiceMBean, RMIServerILServiceMBean, UILServerILServiceMBean

All Known Implementing Classes:
  HTTPServerILService, JVMServerILService, OIL2ServerILService, OILServerILService, RMIServerILService, ServerILJMXService, UILServerILService

public interface ServerILJMXServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getClientID()` Get the client id for this connection factory
`String` | `getConnectionFactoryJNDIRef()`
`javax.management.ObjectName` | `getJBossMQService()` Get the value of JBossMQService.
`long` | `getPingPeriod()`
`String` | `getXAConnectionFactoryJNDIRef()`
`void` | `setClientID(String clientID)` Set the client id for this connection factory
`void` | `setConnectionFactoryJNDIRef(String newConnectionFactoryJNDIRef)`
`void` | `setInvoker(javax.management.ObjectName jbossMQService)` Set the value of JBossMQService.
`void` | `setPingPeriod(long period)`
`void` | `setXAConnectionFactoryJNDIRef(String newXaConnectionFactoryJNDIRef)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getJBossMQService

    public javax.management.ObjectName getJBossMQService()

  Get the value of JBossMQService.

  Returns:
    value of JBossMQService.

### setInvoker

    public void setInvoker(javax.management.ObjectName jbossMQService)

  Set the value of JBossMQService.

### setConnectionFactoryJNDIRef

    public void setConnectionFactoryJNDIRef(String newConnectionFactoryJNDIRef)

### setXAConnectionFactoryJNDIRef

    public void setXAConnectionFactoryJNDIRef(String newXaConnectionFactoryJNDIRef)

### getConnectionFactoryJNDIRef

    public String getConnectionFactoryJNDIRef()

### getXAConnectionFactoryJNDIRef

    public String getXAConnectionFactoryJNDIRef()

### getPingPeriod

    public long getPingPeriod()

### setPingPeriod

    public void setPingPeriod(long period)

### getClientID

    public String getClientID()

  Get the client id for this connection factory

  Returns:
    the client id

### setClientID

    public void setClientID(String clientID)

  Set the client id for this connection factory

  Parameters:
    `clientID` - the client id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.